<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann

  echo '
  
  <object><form action="ecommerce.php" method="get" >
  
  <div><h4 class="titre">Module de E-Commerce</h4></div>';
      
      if(!isset($mailcli) or !isset($CCN) or !isset($telcli) ){
        echo '<p class="info">Tout les champs sont nécessaire à la vente.</p> ';
      }
      
      // champs caché pour le POST
      echo '<input type="hidden" id="URLretour" name="URLretour" size="30" value="'.$URLretour.'" />';
      
      
      echo '<input type="hidden" name="mailboutique" size="30" value="'.$mailboutique.'" /> ';
      
      if ($connexion)
      {
        mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
        
        //si mail boutique n'existe pas dans la base
        $requete="select * from freepay_client where mailcli='".$mailboutique."';"; 
        $resultat = mysql_query($requete,$connexion);
        $ligne=mysql_fetch_assoc($resultat);
        
        if(!$ligne) {
        echo "<p class='erreur'>Le mail de la boutique n'a pas été enregistré. Vous pouvez l'inscrire après vous être déconnecté.</p>";
        }          
        
        
      }
      
      
      echo '
      <table>
      <tr>
        <td class="historique" width="160px"
          onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Mail de la boutique
        </td>
        <td> '.$mailboutique.' </td>
      </tr>
      </table>';
      
      echo '<input type="hidden" name="nomboutique" size="30" value="'.$nomboutique.'" /> ';
      
      
      echo '
      <table>
      <tr>
        <td class="historique" width="160px"
          onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Nom de la boutique
        </td>
        <td> '.$nomboutique.' </td>
      </tr>
      </table>';
      
      echo '<input type="hidden" name="montant" size="30" value="'.$montant.'" /> ';
      
      if($montant <= 0.00){
        echo "<p class='erreur'>Le montant des achats est incorrect. Veuillez en prévenir le responsable du site de ecommerce.</p>";
      }
      
      echo '
      <table>
      <tr>
        <td class="historique" width="160px"
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Montant Total TTC
        </td>
        <td> '.$montant.' '.$_SESSION["devise"].' </td>
      </tr>
      </table>';
      
      echo '<input type="hidden" name="numfacture" size="30" value="'.$numfacture.'" /> ';
      
      
      echo '
      <table>
      <tr>
        <td class="historique" width="160px"
          onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Numéro facture
        </td>
        <td> '.$numfacture.' </td>
      </tr>
      </table>';
      
      if(isset($mailcli)){
        
        if (!strpos($mailcli, '@') or !strpos($mailcli, '.')){// si le mail contient un @ et un point
          echo "<p class='erreur'>Veuillez indiquer un mail valide.</p>";
          
          if($mailcli == $mailboutique){
          echo "<p class='erreur'>Veuillez entrer un courriel différent du marchand.</p>";
          }
        }
      }
      
      echo '
      <table>
      <tr>
        <td class="historique" width="160px"
          onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Email acheteur
        </td>
        <td>'; 
          echo $mailcli; echo '<input type="hidden" id="mailcli" name="mailcli" size="30" value="'.$mailcli.'" />'; echo '
        </td>
      </tr>
      </table>';
      
      if(isset($telcli)){
      
        //si que des chiffres (regex a mettre)
        
        if(strlen($telcli)!=10){
        echo "<p class='erreur'>Le numéro de téléphone a une longueur de <strong>".strlen($telcli)."</strong> alors qu'il doit en avoir une de <strong>10</strong>.</p>";
        }
      }
      
      
      if(strlen($telcli)==10){
        echo '<input type="hidden" name="telcli" size="30" value="'.$telcli.'" /> ';
          
        echo '
        <table>
        <tr>
          <td class="historique" width="160px"
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Numéro de Téléphone
          </td>
          <td> '.$telcli.' </td>
        </tr>
        </table>';
      
      }else{
        echo '
        <table>
        <tr>
          <td class="historique" width="160px"
            onmouseover="this.style.backgroundColor=\'white\'"
            onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Numéro de Téléphone
          </td>
          <td>
            <input type="text" id="telcli" name="telcli" size="30" '; if(isset($telcli)){ echo ' value="'.$telcli.'" '; } echo ' />
          </td>
        </tr>
        </table>';
      }
      
      if(!isset($CCN)){
        $CCN = ""; //credit card number
      /*
          <input type="text" id="CCN" name="CCN" size="30" '; 
          if(isset($_GET["CCN"])){ echo ' value="'.$_GET["CCN"].'" '; }else{ echo ' value="5678'.mt_rand(100000000000,999999999999).'" '; } echo' />
        </td>
      </tr>';
      */
        
      }
      
      // la vérification de carte bancaire se fait dans ecommerce.php
      
      if(true == $etatCCN){
        if ($connexion){ 
          
          mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
          
          //si n'existe pas
          $requete="select * from freepay_carte_bancaire where numcb = '".$CCN."';"; 
          $resultat = mysql_query($requete,$connexion);
          $ligne=mysql_fetch_assoc($resultat);
          
          if(!$ligne){
            echo "<p class='info'>Vous pouvez <a href='../../paiement/cb/cb_ajouter.php?CCN=".$CCN."'>enregistrer</a> cette carte (".$CCN.").</p>";
            $listeCCN = true;
          }
          
          //si existe mais solde insuffissant
          
          $requete="select * from freepay_carte_bancaire where numcb='".$CCN."' ;"; 
          $resultat = mysql_query($requete,$connexion);
          $ligne=mysql_fetch_assoc($resultat);
          $IBAN = $ligne['iban'];
          $requete="select * from freepay_iban where iban='".$IBAN."' ;"; 
          $resultat = mysql_query($requete,$connexion);
          $ligne=mysql_fetch_assoc($resultat);
          $MontantCompteIBAN = $ligne['montantiban'];
          if ($montant > $MontantCompteIBAN ){
            echo "<p class='erreur'>Votre compte bancaire ne possède pas assez pour accomplir la transaction.<a href='$URLretour'>
          Retourner sur le site d'ecommerce</a></p>";
            $listeCCN = true;
          }
          
          //si existe mais chez un autre
          $requete="select * from freepay_carte_bancaire where numcb = '".$CCN."' and mailcli <> '".$mailcli."' ;"; 
          $resultat = mysql_query($requete,$connexion);
          $ligne=mysql_fetch_assoc($resultat);
          
          if($ligne){
            echo "<p class='info'>Cette carte bancaire (".$CCN.") a déjà été enregistrée par un autre utilisateur.</p>";
            $listeCCN = true;
          }
          
          if(true == $listeCCN ){
            echo '
              <table>
              <tr>
                <td class="historique" width="160px"
                  onmouseover="this.style.backgroundColor=\'white\'"
                  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Numéro Carte bancaire
                </td>
              <td>
              <label>
                <select id="CCN" name="CCN">';
                
                  $requete="select * from freepay_carte_bancaire where mailcli = '".$mailcli."' ;"; 
                  $resultat = mysql_query($requete,$connexion);
                  
                  if($resultat){
                    while ($ligne=mysql_fetch_assoc($resultat) ) {
                      echo '<option value="'.$ligne["numcb"].'" >'.$ligne["numcb"].'</option>';
                    }
                  }
      
                echo'
                </select>
              </label>
            </td>
            
            </tr>';
          }
        }
      }
      
      if(false == $etatCCN){ // si l'état n'est pas valide compléter
        echo '
          <table>
          <tr>
            <td class="historique" width="160px"
              onmouseover="this.style.backgroundColor=\'white\'"
              onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >Numéro Carte bancaire
            </td>
          <td>
          <input type="text" id="CCN" name="CCN" size="30" 
          '; if(isset($CCN)){ echo ' value="'.$CCN.'" '; } echo ' />
        </td>
        
        </tr>';
      }
      
      echo'
      <tr>
        <td></td>
        <td><input type="submit" value="Valider" /><input type="reset" value="Annuler" /></td>
      </tr>
      
    </table>';
    
  
  echo '
  </form>
  </object>'; 
  
  //Focus sur le champs du courriel en javascript
  echo '<script type="text/javascript">document.getElementById("mailcli").focus();</script>';
  
?>
